Bug 956583 - No IP addresses found, cannot continue installation - but networking is up
Summary: No IP addresses found, cannot continue installation - but networking is up
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 19
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2013-04-25 09:12 UTC by Dan Horák
Modified: 2013-05-30 01:32 UTC (History)
9 users (show)

Fixed In Version: anaconda-19.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 01:32:00 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog (42.80 KB, text/plain)
2013-04-25 09:46 UTC, Dan Horák
no flags Details
anaconda.log (2.41 KB, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details
ifcfg.log (486 bytes, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details
packaging.log (12.67 KB, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details
program.log (35.36 KB, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details
storage.log (157.44 KB, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details
vncserver.log (1.36 KB, text/plain)
2013-04-25 09:47 UTC, Dan Horák
no flags Details

Description Dan Horák 2013-04-25 09:12:42 UTC
Anaconda thinks there is no network, but networking is up and I can connect with ssh after this error is thrown.

...
         Starting firewalld - dynamic firewall daemon...   
         Starting Terminate Plymouth Boot Screen...   
         Starting Wait for Plymouth Boot Screen to Quit...   
         Starting System Logging Service...   
[ [32m  OK   [0m] Started System Logging Service.   
anaconda[1124]: Starting installer, one moment... 
anaconda[1124]: 09:01:39 No IP addresses found, cannot continue installation. 


Version-Release number of selected component (if applicable):
anaconda-19.21-1.fc19

How reproducible:
100%

Comment 1 Dan Horák 2013-04-25 09:18:30 UTC
also VNC is running and I can connect and continue with installation, logs will follow

Comment 2 Dan Horák 2013-04-25 09:46:45 UTC
Created attachment 739758 [details]
syslog

Comment 3 Dan Horák 2013-04-25 09:47:06 UTC
Created attachment 739759 [details]
anaconda.log

Comment 4 Dan Horák 2013-04-25 09:47:11 UTC
Created attachment 739760 [details]
ifcfg.log

Comment 5 Dan Horák 2013-04-25 09:47:16 UTC
Created attachment 739761 [details]
packaging.log

Comment 6 Dan Horák 2013-04-25 09:47:23 UTC
Created attachment 739762 [details]
program.log

Comment 7 Dan Horák 2013-04-25 09:47:29 UTC
Created attachment 739763 [details]
storage.log

Comment 8 Dan Horák 2013-04-25 09:47:35 UTC
Created attachment 739764 [details]
vncserver.log

Comment 9 Radek Vykydal 2013-04-25 11:47:43 UTC
Patch sent for review, you can use this updates image that should fix the issue:

http://rvykydal.fedorapeople.org/updates.activated_devs.img

Comment 10 Jan Stodola 2013-04-25 13:36:36 UTC
The updates image works fine.

Comment 11 Adam Williamson 2013-05-13 16:08:06 UTC
This is marked as being in anaconda 19.23. Beta TC3 had 19.24 and TC4 19.25; could you check with one of those builds and confirm that it works? If so we can close this bug, as 19.25 is stable already.

Comment 12 Adam Williamson 2013-05-30 01:32:00 UTC
welp, if no-one wants to test, and the updates.img was tested, let's just call this good and close it. Re-open if you find it's still a problem. Thanks!


Note You need to log in before you can comment on or make changes to this bug.